## masterkey 0.4.6-2

=== Makefile ===
# project and version
PROJECT = masterkey
VERSION = 0.4.6

# debian package names
MKEY = masterkey
MKEYCORE = masterkey-core
MKEYGUI_DEFAULT = masterkey-gui-default
MKEYAUTH = masterkey-auth
MKEYEXAMPLE = masterkey-gui-example

#overridable from command line like this:
#  make PREFIX=/some/dest/dir install
PREFIX ?= /usr/local

FILES_ROOT = Makefile LICENSE README

FILES_DEB = \
   debian/changelog \
   debian/compat \
   debian/control \
   debian/copyright \
   debian/masterkey-auth.dirs \
   debian/masterkey-auth.docs \
   debian/masterkey-auth.postinst \
   debian/masterkey-auth.postrm \
   debian/masterkey-auth.preinst \
   debian/masterkey-core.dirs \
   debian/masterkey-core.docs \
   debian/masterkey-core.postinst \
   debian/masterkey-core.postrm \
   debian/masterkey-core.preinst \
   debian/masterkey-gui-default.dirs \
   debian/masterkey-gui-default.docs \
   debian/masterkey-gui-default.postinst \
   debian/masterkey-gui-default.postrm \
   debian/masterkey-gui-default.preinst \
   debian/masterkey-gui-example.dirs \
   debian/masterkey-gui-example.docs \
   debian/README.Debian \
   debian/rules

PROPEL_RUNTIME = masterkey-auth/propel
PROPEL_BUILD = masterkey-auth/php/propel_build
PROPEL_SOURCE = /usr/share/php/propel

DISTCLEAN = $(PROPEL_BUILD) $(PROPEL_RUNTIME)

FINDSUFFIXES = -type f \
   -name '*.conf' \
   -o -name '*.css' \
   -o -name '*.gif' \
   -o -name '*.html' \
   -o -name '*.js' \
   -o -name '*.map' \
   -o -name '*.php' \
   -o -name '*.phpi' \
   -o -name '*.sh' \
   -o -name '*.sql' \
   -o -name '*.xml' \
   -o -name '*.xsl'

FILES_ETC_MKEYCORE := $(shell find masterkey-core/etc $(FINDSUFFIXES))
FILES_SHARE_MKEYCORE := $(shell find masterkey-core $(FINDSUFFIXES))

FILES_ETC_MKEYGUI_DEFAULT := \
   $(shell find masterkey-gui-default/etc $(FINDSUFFIXES))
FILES_SHARE_MKEYGUI_DEFAULT := \
   $(shell find masterkey-gui-default $(FINDSUFFIXES))

FILES_ETC_MKEYAUTH := $(shell find masterkey-auth/etc $(FINDSUFFIXES))
FILES_SHARE_MKEYAUTH := $(shell find masterkey-auth $(FINDSUFFIXES))


###############################################################################
# DO NOT EDIT BELOW THIS LINE
###############################################################################

# distribution package names
DISTNAME = $(PROJECT)-$(VERSION)
SOURCENAME_MKEY = $(MKEY)-$(VERSION)
PACKNAME_MKEYCORE = $(MKEYCORE)-$(VERSION)
SOURCENAME_MKEY = $(MKEY)-$(VERSION)
PACKNAME_MKEYGUI_DEFAULT = $(MKEYGUI_DEFAULT)-$(VERSION)
PACKNAME_MKEYAUTH = $(MKEYAUTH)-$(VERSION)
PACKNAME_MKEYEXAMPLE = $(MKEYEXAMPLE)-$(VERSION)

# /usr => /etc . Other, say /usr/local => /usr/local/etc
ifeq ($(PREFIX), /usr)
ETC_DIR=/etc/masterkey
else
ETC_DIR=$(PREFIX)/etc/masterkey
endif

DEST_ETC_MKEYCORE = $(DEST_MKEYCORE)$(ETC_DIR)
DEST_SHARE_MKEYCORE = $(DEST_MKEYCORE)$(PREFIX)/share/$(MKEYCORE)
DEST_ETC_MKEYGUI_DEFAULT = $(DEST_MKEYGUI_DEFAULT)$(ETC_DIR)
DEST_SHARE_MKEYGUI_DEFAULT = $(DEST_MKEYGUI_DEFAULT)$(PREFIX)/share/$(MKEYGUI_DEFAULT)
DEST_ETC_MKEYAUTH = $(DEST_MKEYAUTH)$(ETC_DIR)
DEST_SHARE_MKEYAUTH = $(DEST_MKEYAUTH)$(PREFIX)/share/$(MKEYAUTH)
DEST_SHARE_MKEYEXAMPLE = $(DEST_MKEYEXAMPLE)$(PREFIX)/share/$(MKEYEXAMPLE)

INSTALLS_ETC_MKEYCORE = $(FILES_ETC_MKEYCORE:masterkey-core/etc%=%)
DIRS_ETC_MKEYCORE  = $(sort $(dir $(INSTALLS_ETC_MKEYCORE)))
INSTALLS_SHARE_MKEYCORE = $(FILES_SHARE_MKEYCORE:masterkey-core%=%)
DIRS_SHARE_MKEYCORE  = $(sort $(dir $(INSTALLS_SHARE_MKEYCORE)))

INSTALLS_ETC_MKEYGUI_DEFAULT = $(FILES_ETC_MKEYGUI_DEFAULT:masterkey-gui-default/etc%=%)
DIRS_ETC_MKEYGUI_DEFAULT  = $(sort $(dir $(INSTALLS_ETC_MKEYGUI_DEFAULT)))
INSTALLS_SHARE_MKEYGUI_DEFAULT = $(FILES_SHARE_MKEYGUI_DEFAULT:masterkey-gui-default%=%)
DIRS_SHARE_MKEYGUI_DEFAULT  = $(sort $(dir $(INSTALLS_SHARE_MKEYGUI_DEFAULT)))


INSTALLS_ETC_MKEYAUTH = $(FILES_ETC_MKEYAUTH:masterkey-auth/etc%=%)
DIRS_ETC_MKEYAUTH  = $(sort $(dir $(INSTALLS_ETC_MKEYAUTH)))
INSTALLS_SHARE_MKEYAUTH = $(FILES_SHARE_MKEYAUTH:masterkey-auth%=%)
DIRS_SHARE_MKEYAUTH  = $(sort $(dir $(INSTALLS_SHARE_MKEYAUTH)))




FILES_DIST = $(FILES_ROOT) $(FILES_DEB) \
             $(FILES_ETC_MKEYCORE) $(FILES_SHARE_MKEYCORE) \
             $(FILES_ETC_MKEYGUI_DEFAULT) $(FILES_SHARE_MKEYGUI_DEFAULT) \
             $(FILES_ETC_MKEYAUTH) $(FILES_SHARE_MKEYAUTH) 



DIRS_DIST = $(sort $(dir $(FILES_DIST)))

build: 
	@echo "source: " $(DISTNAME)
	@echo "package:" $(PACKNAME_MKEYCORE)
	@echo "package:" $(PACKNAME_MKEYGUI_DEFAULT)
	@echo "package:" $(PACKNAME_MKEYAUTH)
	@test -d $(PROPEL_BUILD)  \
           || { \
              echo "building Propel generated classes" ; \
              masterkey-auth/conf/build/perform-build.sh ; \
              }
	@test -d $(PROPEL_RUNTIME) \
	   || { \
              echo "copying PEAR Propel runtime classes" ; \
              test -d $(PROPEL_SOURCE) \
              || { echo "You need to have installed PEAR Propel!!!"; exit 1; } ; \
	      mkdir $(PROPEL_RUNTIME); \
              cp -rv $(PROPEL_SOURCE)/* $(PROPEL_RUNTIME) ; \
              }
	@echo "package:" $(PACKNAME_MKEYEXAMPLE)
	$(MAKE) example


clean:
	rm -rf $(DISTNAME)
	rm -f debian/files
	rm -rf debian/$(MKEYCORE)
	rm -rf debian/$(MKEYGUI_DEFAULT)
	rm -rf debian/$(MKEYAUTH)
	rm -rf debian/$(MKEYEXAMPLE)
	rm -rf debian/$(PROJECT)
	rm -f $(MKEYEXAMPLE).tar.gz 

distclean: clean
	rm -rf $(DISTCLEAN)

show:

install: 
	@echo "install:" $(MKEYCORE)
	@echo "     in:" $(DEST_ETC_MKEYCORE)
	test -d  $(PROPEL_BUILD) \
           || { echo "You need to run 'make' first!!!"; exit 1; }
	test -d  $(PROPEL_RUNTIME) \
           || { echo "You need to run 'make' first!!!"; exit 1; }
	@for DIR in $(DIRS_ETC_MKEYCORE); do \
            echo  "     in:" $(DEST_ETC_MKEYCORE)$$DIR; \
            mkdir -p $(DEST_ETC_MKEYCORE)$$DIR; \
        done
	@for FILE in $(INSTALLS_ETC_MKEYCORE); do \
            echo masterkey-core/etc$$FILE "-->" $(DEST_ETC_MKEYCORE)$$FILE; \
            cp masterkey-core/etc$$FILE  $(DEST_ETC_MKEYCORE)$$FILE; \
        done
	@echo "     in:" $(DEST_SHARE_MKEYCORE)
	@for DIR in $(DIRS_SHARE_MKEYCORE); do \
            echo  "     in:" $(DEST_SHARE_MKEYCORE)$$DIR; \
            mkdir -p $(DEST_SHARE_MKEYCORE)$$DIR; \
        done
	@for FILE in $(INSTALLS_SHARE_MKEYCORE); do \
            echo masterkey-core$$FILE "-->" $(DEST_SHARE_MKEYCORE)$$FILE; \
            cp masterkey-core$$FILE  $(DEST_SHARE_MKEYCORE)$$FILE; \
        done
	@echo ""

	@echo "install:" $(MKEYGUI_DEFAULT)
	@echo "     in:" $(DEST_ETC_MKEYGUI_DEFAULT)
	@for DIR in $(DIRS_ETC_MKEYGUI_DEFAULT); do \
            echo  "     in:" $(DEST_ETC_MKEYGUI_DEFAULT)$$DIR; \
            mkdir -p $(DEST_ETC_MKEYGUI_DEFAULT)$$DIR; \
        done
	@for FILE in $(INSTALLS_ETC_MKEYGUI_DEFAULT); do \
            echo masterkey-gui-default/etc$$FILE "-->" $(DEST_ETC_MKEYGUI_DEFAULT)$$FILE; \
            cp masterkey-gui-default/etc$$FILE  $(DEST_ETC_MKEYGUI_DEFAULT)$$FILE; \
        done
	@echo "     in:" $(DEST_SHARE_MKEYGUI_DEFAULT)
	@for DIR in $(DIRS_SHARE_MKEYGUI_DEFAULT); do \
            echo  "     in:" $(DEST_SHARE_MKEYGUI_DEFAULT)$$DIR; \
            mkdir -p $(DEST_SHARE_MKEYGUI_DEFAULT)$$DIR; \
        done
	@for FILE in $(INSTALLS_SHARE_MKEYGUI_DEFAULT); do \
            echo masterkey-gui-default$$FILE "-->" $(DEST_SHARE_MKEYGUI_DEFAULT)$$FILE; \
            cp masterkey-gui-default$$FILE  $(DEST_SHARE_MKEYGUI_DEFAULT)$$FILE; \
        done
	@echo ""

	@echo "install:" $(MKEYAUTH)
	@echo "     in:" $(DEST_ETC_MKEYAUTH)
	@echo "     in:" $(DEST_SHARE_MKEYAUTH)
	@for DIR in $(DIRS_ETC_MKEYAUTH); do \
            echo  "     in:" $(DEST_ETC_MKEYAUTH)$$DIR; \
            mkdir -p $(DEST_ETC_MKEYAUTH)$$DIR; \
        done
	@for FILE in $(INSTALLS_ETC_MKEYAUTH); do \
            echo masterkey-auth/etc$$FILE "-->" $(DEST_ETC_MKEYAUTH)$$FILE; \
            cp masterkey-auth/etc$$FILE  $(DEST_ETC_MKEYAUTH)$$FILE; \
        done
	@for DIR in $(DIRS_SHARE_MKEYAUTH); do \
            echo  "     in:" $(DEST_SHARE_MKEYAUTH)$$DIR; \
            mkdir -p $(DEST_SHARE_MKEYAUTH)$$DIR; \
        done
	@for FILE in $(INSTALLS_SHARE_MKEYAUTH); do \
            echo masterkey-auth$$FILE "-->" $(DEST_SHARE_MKEYAUTH)$$FILE; \
            cp masterkey-auth$$FILE  $(DEST_SHARE_MKEYAUTH)$$FILE; \
        done
	@echo ""
	@echo "install:" $(MKEYEXAMPLE)
	@echo "     in:" $(DEST_SHARE_MKEYEXAMPLE)
	cp $(MKEYEXAMPLE).tar.gz $(DEST_SHARE_MKEYEXAMPLE)
	@echo ""


dist:
	@echo "Building distribution" $(DISTNAME)
	@test -d  $(PROPEL_RUNTIME) \
           || { echo "You need to run 'make' first!!!"; exit 1; }
	@test -d  $(PROPEL_BUILD) \
           || { echo "You need to run 'make' first!!!"; exit 1; }
	@mkdir -p $(DISTNAME)
	@for DIR in $(DIRS_DIST); do \
            #echo "Creating subdirectory" $(DISTNAME)/$$DIR; \
            mkdir -p  $(DISTNAME)/$$DIR; \
        done
	@for FILE in $(FILES_DIST); do \
            #echo $$FILE "-->" $(DISTNAME)/$$FILE; \
            cp $$FILE $(DISTNAME)/$$FILE; \
        done
	@tar cvzf $(DISTNAME).tar.gz $(DISTNAME)


example:
	@echo "Building example tarball" $(MKEYEXAMPLE).tar.gz
	ln -s $(MKEYGUI_DEFAULT) $(MKEYEXAMPLE)
	tar cvzhf $(MKEYEXAMPLE).tar.gz --exclude=CVS $(MKEYEXAMPLE)
	rm -f $(MKEYEXAMPLE)


debian:
	dpkg-buildpackage -rfakeroot



.PHONY : build clean install dist debian example

=== debian/changelog ===
masterkey (0.4.6-2) unstable; urgency=low

  * Refactor XSL code a bit.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 09 Nov 2007 18:18:53 +0100

masterkey (0.4.6-1) unstable; urgency=low

  * Hard-coded english labels removed.
  * Management: sorting OAI tasks by name.
  * CSS tuned, consistent look between FF and IE.
  * Multilingual display stylesheets introduced.
  * CCL allowed in advanced search, brackets around facet terms.
  * Handling removal of non-empty access groups.
  * When PHP session dies the client is properly resetted.

 -- Jakub Skoczen <jakub@indexdata.dk>  Mon,  8 Oct 2007 10:50:51 +0200

masterkey (0.4.5-2) unstable; urgency=low

  * Minor changes to the staus indicator.  
  * New labels in the language file.

 -- Jakub Skoczen <jakub@indexdata.dk>  Mon,  3 Oct 2007 9:49:51 +0200

masterkey (0.4.5-1) unstable; urgency=low

  * Retrieval status indication.

 -- Jakub Skoczen <jakub@indexdata.dk>  Mon,  1 Oct 2007 17:39:51 +0200

masterkey (0.4.4-1) unstable; urgency=low

  * Recommend pazpar2-1.0.4-1.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 28 Sep 2007 14:29:51 +0200

masterkey (0.4.3-2) unstable; urgency=low

  * Fixed: #1622 Last target selection should not be saved for library users
  * Fixed: #1629 Refernces to the old config files location not removed from apache conf files

 -- Jakub Skoczen <jakub@indexdata.dk>  Tu, 21 Sep 2007 14:48:01 +0200

masterkey (0.4.3-1) unstable; urgency=low

  * Added browser requirements and JS disabled error info.
  * Fixed: #1459 Remove 'currently in beta testing' and update logo.
  * Fixed: #1537 Login freezes and/or searched targets are not loaded from db.
  * Fixed: #1443 MK main site throws error in FF for TerryvillePL
  * Fixed: #1456 Sorting with respect to newest items does not work
  * Fixed: #1613 Help text missing
  * Fixed: #1524 New Text for About Page
  * Fixed: #1597 Login/Logout
  * Fixed: #1598 Profile editor
  * Fixed: #1458 Profile-edit shows passwords in plain text
  * Fixed: #1583 Target selection is not maintained

 -- Jakub Skoczen <jakub@indexdata.dk>  Tu, 18 Sep 2007 15:12:01 +0200

masterkey (0.4.2-6) unstable; urgency=low

  * Tweaked various tests (-e rather than -f, -L in some places).

 -- Adam Dickmeiss <adam@indexdata.dk>  Thu, 13 Sep 2007 10:00:01 +0200

masterkey (0.4.2-5) unstable; urgency=low

  * Ensure Apache module actions is enabled in masterkey-core postinst.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed, 12 Sep 2007 21:55:24 +0200

masterkey (0.4.2-4) unstable; urgency=low

  * config files to /etc/masterkey which is owned by masterkey-core.
  * masterkey-auth depends on masterkey-core.

 -- Adam Dickmeiss <adam@indexdata.dk>  Wed, 12 Sep 2007 18:33:20 +0200

masterkey (0.4.2-3) unstable; urgency=low

  * Moved Propel runtime to masterkey-auth root.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue,  4 Sep 2007 12:25:02 +0200

masterkey (0.4.2-2) unstable; urgency=low

  * Pass requests to a .masterkey file for each GUI. 
  * MASTERKEY_GUI_CONFIG no longer in use.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue,  4 Sep 2007 09:35:57 +0200

masterkey (0.4.2-1) unstable; urgency=low

  * Introduction of MASTERKEY_PATH.
  * Proxy all Pazpar2 requests in masterkey-core.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon,  3 Sep 2007 09:54:18 +0200

masterkey (0.4.1-2) unstable; urgency=low

  * Added fields proxy_conn_string and ill_email to RDB model. The management
    interface is updated accordingly.
 
 -- Marc Cromme <marc@indexdata.dk>  Mon, 27 Aug 2007 09:37:41 +0200 

masterkey (0.4.1-1) unstable; urgency=low

  * First official release version number bump

 -- Marc Cromme <marc@indexdata.dk>  Thu, 23 Aug 2007 12:58:16 +0200

masterkey (0.3.1-7) unstable; urgency=low

  * Corrected debian package dependencies
  * Added mysql table update script

 -- Marc Cromme <marc@indexdata.dk>  Thu, 23 Aug 2007 12:15:10 +0200

masterkey (0.3.1-6) unstable; urgency=low

  * Corrected debian packages
  * Renamed masterkey-all to masterkey
  * Moved propel dummy config to masterkey-auth/conf/build.conf

 -- Marc Cromme <marc@indexdata.dk>  Wed, 22 Aug 2007 10:29:33 +0200

masterkey (0.3.1-5) unstable; urgency=low

  * Debian package masterkey-gui-example added
  * Debian package masterkey-all added

 -- Marc Cromme <marc@indexdata.dk>  Tue, 21 Aug 2007 22:33:04 +0200

masterkey (0.3.1-4) unstable; urgency=low

  * Debian package masterkey-auth functional
  * Propel builds and runtime included into package

 -- Marc Cromme <marc@indexdata.dk>  Wed, 15 Aug 2007 14:56:07 +0200

masterkey (0.3.1-3) unstable; urgency=low

  * First version of masterkey-auth added
  * Restructuring of masterkey-core and masterkey-gui-default

 -- Marc Cromme <marc@indexdata.dk>  Wed, 15 Aug 2007 14:56:07 +0200

masterkey (0.3.1-2) unstable; urgency=low

  * Adopt packages to CVS restructuring, still packaging masterkey-core
    and masterkey-gui-default only 

 -- Marc Cromme <marc@indexdata.dk>  Mon, 13 Aug 2007 14:36:18 +0200

masterkey (0.3.1-1) unstable; urgency=low

  * Initial release, packages masterkey-core and masterkey-gui-default

 -- Marc Cromme <marc@indexdata.dk>  Tue, 24 Jul 2007 10:57:11 +0200

=== debian/control ===
Source: masterkey
Section: web
Priority: extra
Maintainer: Marc Cromme <marc@indexdata.dk>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: masterkey
Architecture: all
Depends: masterkey-core (= ${Source-Version}),
         masterkey-gui-default (= ${Source-Version}),
         masterkey-auth (= ${Source-Version}),
         pazpar2 (>= 1.0.4-1), pazpar2-apache2, mysql-server,
         libapache2-mod-php5
Suggests: masterkey-gui-example, pazpar2-doc
Description: Metasearcher core web GUI PHP, JS and XSLT components
 Masterkey is one of many possible web GUI frontends to 
 Pazpar2 (pronounced like 'passe-partout'), a high-performance
 metasearching middleware and a Z39.50 client with a webservice interface. 
 .
 Masterkey-all is a virtual package installing all masterkey, pazpar2 and
 mysql component needed to run from one single box. Masterkey can be run
 distributed on different boxes, but then it's your own responsability to
 install and configure the packages correctly.  
 

Package: masterkey-core
Architecture: all
Depends: libapache2-mod-php5 | libapache-mod-php5 | php5-cgi, 
         jquery (>= 1.1.3-3), php5-xsl
Recommends: pazpar2 (>= 1.0.4-1), pazpar2-apache2, 
Suggests: pazpar2-doc
Description: Metasearcher core web GUI PHP, JS and XSLT components
 Masterkey is one of many possible web GUI frontends to 
 Pazpar2 (pronounced like 'passe-partout'), a high-performance
 metasearching middleware and a Z39.50 client with a webservice interface. 
 .
 Masterkey-core supplies the reusable web GUI componants, and can be used
 with multiple instances/skins of customized portals, the accompagnying
 package masterkey-gui-default being one of them.  
 

Package: masterkey-gui-default
Architecture: all
Depends: masterkey-core  (= ${Source-Version})
Recommends: masterkey-auth (= ${Source-Version})
Description: Metasearcher default web GUI instance
 Masterkey is one of many possible web GUI frontends to 
 Pazpar2 (pronounced like 'passe-partout'), a high-performance
 metasearching middleware and a Z39.50 client with a webservice interface. 
 .
 Masterkey-gui-default installes the default look-and-feel instance/skin of
 the Masterkey metasearcher. The optional package masterkey-auth provides 
 authentication and target selection for masterkey-gui-default.


Package: masterkey-gui-example
Architecture: all
Depends: masterkey-core (= ${Source-Version})
Recommends: masterkey-auth (= ${Source-Version})
Description: Metasearcher default web GUI instance
 Masterkey is one of many possible web GUI frontends to 
 Pazpar2 (pronounced like 'passe-partout'), a high-performance
 metasearching middleware and a Z39.50 client with a webservice interface. 
 .
 Masterkey-gui-example installs the distribution tarball of the default 
 web gui in /user/share/masterkey-gui-example. It can be manually unpacked 
 and installed in the web server document root to be used as starting point
 for local gui development and adjustments.
 .
 Unless you want to hack the default gui, you better install
 masterkey-gui-default.


Package: masterkey-auth
Architecture: all
Depends: libapache2-mod-php5 | libapache-mod-php5 | php5-cgi, 
         php5-mysql, php5-xsl, php5-curl, php-log,
         masterkey-core (= ${Source-Version})         
Suggests: masterkey-gui-default (= ${Source-Version}), mysql-server
Description: Metasearcher authentication module
 Masterkey is one of many possible web GUI frontends to 
 Pazpar2 (pronounced like 'passe-partout'), a high-performance
 metasearching middleware and a Z39.50 client with a webservice interface. 
 .
 Masterkey-auth installes the MySQL based authentication module, including 
 the management web interface. This component allows for user and group 
 authentication as well as resource selection web services.
 .
 Installing masterkey-auth provides additional functionality for 
 masterkey-gui-default.

## masterkey 0.4.7-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # project and version
 PROJECT = masterkey
-VERSION = 0.4.6
+VERSION = 0.4.7
 
 # debian package names
 MKEY = masterkey
@@ -13,7 +13,7 @@
 #  make PREFIX=/some/dest/dir install
 PREFIX ?= /usr/local
 
-FILES_ROOT = Makefile LICENSE README
+FILES_ROOT = Makefile LICENSE README ChangeLog
 
 FILES_DEB = \
    debian/changelog \
@@ -249,6 +249,7 @@
             #echo "Creating subdirectory" $(DISTNAME)/$$DIR; \
             mkdir -p  $(DISTNAME)/$$DIR; \
         done
+	cvs2cl
 	@for FILE in $(FILES_DIST); do \
             #echo $$FILE "-->" $(DISTNAME)/$$FILE; \
             cp $$FILE $(DISTNAME)/$$FILE; \

=== debian/changelog ===
masterkey (0.4.7-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon, 14 Apr 2008 17:27:22 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Package: masterkey-core
 Architecture: all
 Depends: libapache2-mod-php5 | libapache-mod-php5 | php5-cgi, 
-         jquery (>= 1.1.3-3), php5-xsl
+         jquery (>= 1.1.3-3), php5-xsl, php5-curl
 Recommends: pazpar2 (>= 1.0.4-1), pazpar2-apache2, 
 Suggests: pazpar2-doc
 Description: Metasearcher core web GUI PHP, JS and XSLT components

## masterkey 0.4.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # project and version
 PROJECT = masterkey
-VERSION = 0.4.7
+VERSION = 0.4.8
 
 # debian package names
 MKEY = masterkey

=== debian/changelog ===
masterkey (0.4.8) unstable; urgency=low

  * Fixed the bug with double escaping of database entries (#1156)

 -- Jakub Skoczen <jakub@indexdata.dk>  Wed, 14 May 2008 11:12:22 +0200

## masterkey 0.4.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # project and version
 PROJECT = masterkey
-VERSION = 0.4.8
+VERSION = 0.4.9
 
 # debian package names
 MKEY = masterkey

=== debian/changelog ===
masterkey (0.4.9) unstable; urgency=low

  * pz2proxy supports POST requests (#2104 - too long URIs in the request)

 -- Jakub Skoczen <jakub@indexdata.dk>  Wed, 21 May 2008 16:35:22 +0200

## masterkey 0.5.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # project and version
 PROJECT = masterkey
-VERSION = 0.4.9
+VERSION = 0.5.0
 
 # debian package names
 MKEY = masterkey

=== debian/changelog ===
masterkey (0.5.0) unstable; urgency=low

  * Admin console: support for SRU targets
  * UI: raw and EndNote export
  * UI: basket enhancements - ACE search
  * User registration component suporting CAPTCHA
  * Saveable target selections
  * Dual-language target names/descriptions

 -- Jakub Skoczen <jakub@indexdata.dk>  Fri, 9 Oct 2009 15:03:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: masterkey
 Section: web
 Priority: extra
-Maintainer: Marc Cromme <marc@indexdata.dk>
+Maintainer: Jakub Skoczen <jakub@indexdata.dk>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2
 
@@ -10,7 +10,7 @@
 Depends: masterkey-core (= ${Source-Version}),
          masterkey-gui-default (= ${Source-Version}),
          masterkey-auth (= ${Source-Version}),
-         pazpar2 (>= 1.0.4-1), pazpar2-apache2, mysql-server,
+         pazpar2 (>= 1.2.1-1), pazpar2-apache2, mysql-server,
          libapache2-mod-php5
 Suggests: masterkey-gui-example, pazpar2-doc
 Description: Metasearcher core web GUI PHP, JS and XSLT components
@@ -27,8 +27,8 @@
 Package: masterkey-core
 Architecture: all
 Depends: libapache2-mod-php5 | libapache-mod-php5 | php5-cgi, 
-         jquery (>= 1.1.3-3), php5-xsl, php5-curl
-Recommends: pazpar2 (>= 1.0.4-1), pazpar2-apache2, 
+         jquery (>= 1.1.3-3), php5-xsl, php5-curl, pazpar2-js
+Recommends: pazpar2 (>= 1.2.1-1), pazpar2-apache2, 
 Suggests: pazpar2-doc
 Description: Metasearcher core web GUI PHP, JS and XSLT components
  Masterkey is one of many possible web GUI frontends to

## masterkey 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # project and version
 PROJECT = masterkey
-VERSION = 0.5.0
+VERSION = 0.5.1
 
 # debian package names
 MKEY = masterkey

=== debian/changelog ===
masterkey (0.5.1) unstable; urgency=low

  * UI: user can choose to fetch more records from the backend targets

 -- Jakub Skoczen <jakub@indexdata.dk>  Tue, 13 Oct 2009 10:59:22 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: masterkey-core (= ${Source-Version}),
          masterkey-gui-default (= ${Source-Version}),
          masterkey-auth (= ${Source-Version}),
-         pazpar2 (>= 1.2.1-1), pazpar2-apache2, mysql-server,
+         pazpar2 (>= 1.2.2), pazpar2-apache2, mysql-server,
          libapache2-mod-php5
 Suggests: masterkey-gui-example, pazpar2-doc
 Description: Metasearcher core web GUI PHP, JS and XSLT components
@@ -28,7 +28,7 @@
 Architecture: all
 Depends: libapache2-mod-php5 | libapache-mod-php5 | php5-cgi, 
          jquery (>= 1.1.3-3), php5-xsl, php5-curl, pazpar2-js
-Recommends: pazpar2 (>= 1.2.1-1), pazpar2-apache2, 
+Recommends: pazpar2 (>= 1.2.2), pazpar2-apache2, 
 Suggests: pazpar2-doc
 Description: Metasearcher core web GUI PHP, JS and XSLT components
  Masterkey is one of many possible web GUI frontends to 
@@ -75,7 +75,7 @@
 Package: masterkey-auth
 Architecture: all
 Depends: libapache2-mod-php5 | libapache-mod-php5 | php5-cgi, 
-         php5-mysql, php5-xsl, php5-curl, php-log,
+         php5-mysql, php5-xsl, php5-curl, php-log, php5-gd
          masterkey-core (= ${Source-Version})         
 Suggests: masterkey-gui-default (= ${Source-Version}), mysql-server
 Description: Metasearcher authentication module

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


#Architecture 
build: build-stamp

build-stamp: configure-stamp 

	# Add here commands to compile the arch part of the package.
	$(MAKE) PREFIX=/usr
	touch $@


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	$(MAKE) PREFIX=/usr clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DEST_MKEYCORE=debian/masterkey-core/ \
		DEST_MKEYGUI_DEFAULT=debian/masterkey-gui-default/ \
		DEST_MKEYAUTH=debian/masterkey-auth/ \
		DEST_MKEYEXAMPLE=debian/masterkey-gui-example/ \
		PREFIX=/usr install

	#dh_install -s


# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_install
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
# nothing to do - everything is arch independent here
#	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
